package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.ApiType;
import com.union.ai.api.dao.model.ApiTypeCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ApiTypeMapper {
    int countByCondition(ApiTypeCondition example);

    int deleteByCondition(ApiTypeCondition example);

    int deleteById(Integer apitypeId);

    int insert(ApiType record);

    int insertSelective(ApiType record);

    List<ApiType> selectByCondition(ApiTypeCondition example);

    ApiType selectById(Integer apitypeId);

    int updateByConditionSelective(@Param("record") ApiType record, @Param("example") ApiTypeCondition example);

    int updateByCondition(@Param("record") ApiType record, @Param("example") ApiTypeCondition example);

    int updateByIdSelective(ApiType record);

    int updateById(ApiType record);
}